commit: e6ab14d4a9ed77993f1934a7b4aff74ae393ef79
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 23 13:10:42 2019 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Jun 23 13:10:42 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e6ab14d4
sci-chemistry/ghemical: Port to EAPI 7
Package-Manager: Portage-2.3.67, Repoman-2.3.15
Signed-off-by: David Seifert <soap <AT> gentoo.org>
sci-chemistry/ghemical/ghemical-3.0.0.ebuild | 23 ++++++++++-------------
1 file changed, 10 insertions(+), 13 deletions(-)
diff --git a/sci-chemistry/ghemical/ghemical-3.0.0.ebuild
b/sci-chemistry/ghemical/ghemical-3.0.0.ebuild
index 5704b7df145..4186af7e725 100644
--- a/sci-chemistry/ghemical/ghemical-3.0.0.ebuild
+++ b/sci-chemistry/ghemical/ghemical-3.0.0.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
inherit autotools desktop
@@ -18,12 +18,12 @@ RDEPEND="
dev-libs/glib:2
gnome-base/libglade:2.0
sci-chemistry/mpqc
- >=sci-libs/libghemical-3.0.0
- >=x11-libs/liboglappth-1.0.0
+ >=sci-libs/libghemical-3.0.0:=
+ >=x11-libs/liboglappth-1.0.0:=
virtual/opengl
- x11-libs/pango
+ x11-libs/pango:0=
x11-libs/gtk+:2
- x11-libs/gtkglext
+ x11-libs/gtkglext:0=
openbabel? ( sci-chemistry/openbabel )"
DEPEND="${RDEPEND}
virtual/pkgconfig"
@@ -39,11 +39,8 @@ src_configure() {
# With amd64, if you want gamess I recommend adding gamess and
gtk-gamess to package.provided for now.
# Change the built-in help browser.
- if use seamonkey ; then
- sed -i -e 's|mozilla|seamonkey|g' src/gtk_app.cpp || die "sed
failed for seamonkey!"
- else
- sed -i -e 's|mozilla|firefox|g' src/gtk_app.cpp || die "sed
failed for firefox!"
- fi
+ sed -e "s|mozilla|$(usex seamonkey seamonkey firefox)|g" \
+ -i src/gtk_app.cpp || die "sed failed for $(usex seamonkey
seamonkey firefox)!"
econf \
$(use_enable openbabel) \
@@ -51,6 +48,6 @@ src_configure() {
}
src_install() {
- emake DESTDIR="${D}" install
- make_desktop_entry /usr/bin/ghemical Ghemical
/usr/share/ghemical/${PV}/pixmaps/ghemical.png
+ default
+ make_desktop_entry ghemical Ghemical
/usr/share/ghemical/${PV}/pixmaps/ghemical.png
}